package com.mortals.xhx.module.child.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.child.model.ChildLicenseDatasetEntity;
import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.child.model.ChildLicenseDatasetQuery;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 行业许可子证数据集视图对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class ChildLicenseDatasetVo extends BaseEntityLong {

    /**
     * 字段编码
     */
    private String fieldCode;
    /**
     * 字段名称
     */
    private String fieldName;
    /**
     * 字段值
     */
    private String fieldValue;

    private Long appId;

    private List<Long> idList;

    private List<String> fieldNameList;

    private List<String> fieldValueList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ChildLicenseDatasetQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ChildLicenseDatasetQuery> andConditionList;

}