package com.mortals.xhx.module.child.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.child.model.ChildLicenseTempleteFieldEntity;
import com.mortals.xhx.module.child.service.ChildLicenseTempleteFieldService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 行业许可子证模板信息字段
*
* @author zxfei
* @date 2024-07-27
*/
@RestController
@RequestMapping("child/license/templete/field")
public class ChildLicenseTempleteFieldController extends BaseCRUDJsonBodyMappingController<ChildLicenseTempleteFieldService,ChildLicenseTempleteFieldEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ChildLicenseTempleteFieldController(){
        super.setModuleDesc( "行业许可子证模板信息字段");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "fieldType", FieldTypeEnum.getEnumMap());
                this.addDict(model, "dataType", DataTypeEnum.getEnumMap());
                this.addDict(model, "fieldNull", FieldNullEnum.getEnumMap());
                this.addDict(model, "isList", IsListEnum.getEnumMap());
        super.init(model, context);
    }


}